#!/bin/bash

# Wait until squid certificate has been issued
if ! test -r /opt/privx/squid_cert/squid.crt || ! test -r /opt/privx/squid_cert/squid.key
then
    echo "Waiting for /opt/privx/squid_cert/squid.crt"
    while ! test -r /opt/privx/squid_cert/squid.crt || ! test -r /opt/privx/squid_cert/squid.key
    do
        sleep 5
    done
fi

# Flush squid certificate cache
echo "Flushing squid certificate cache /var/lib/squid/ssl_db"
rm -rf /var/lib/squid/ssl_db
sudo -u proxy /usr/lib/squid/security_file_certgen -c -s /var/lib/squid/ssl_db -M 4MB
